Page MenuHomePhabricator

Help with announcing the Education Extension deprecation
Closed, ResolvedPublic

Description

What is the problem?
Delivering message to multiple wikis / languages so admins and editors are aware of deprecation of Education Extension.

How does success of this task look like? How do we know when we are done?
Posting message and monitoring follow up on wikis and in centralized Meta page. Directing concerns or questions to proper channels. Clear understanding of process and dates.

Is there any goal, program, project, team related with this request?
Related to Education team goal of deprecating the extension this fiscal year because of security concerns and getting community on better tool (Dashboard)

What is your expected timeline from start to end? Is there a hard deadline?
Transition happening now, to be completed by end of June.

Additional information:
Phabricator thread: https://phabricator.wikimedia.org/T125618 https://phabricator.wikimedia.org/T187577
Education Newsletter announcements: https://outreach.wikimedia.org/wiki/Education/News/February_2018/The_Education_Extension_is_being_deprecated
Outreach talk page: https://outreach.wikimedia.org/wiki/Talk:Education/Extension#Transitioning_to_the_Programs_and_Events_Dashboard_in_2018

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2018, 4:15 PM
Elitre reassigned this task from Elitre to Trizek-WMF.Mar 1 2018, 5:14 PM
Elitre added a subscriber: Elitre.

This is your guy ;)

Thanks @Elitre , and thanks in advance @Trizek-WMF !

Trizek-WMF triaged this task as Medium priority.Mar 2 2018, 9:39 AM

@VMasrour-WMF I have a few questions about that deprecation:

  • how many courses are active? On which wikis? Those wikis may need a particular effort, to be helped in shutting down the feature
  • where is the documentation about Dashboards? Is there a page about how to transition from one tool to the other, for people who know the first one but not the second?
  • Have you explored the Technical Collaboration Guidance to make that announcement by yourself?

Things we already know:

Thanks @Trizek-WMF !

We are taking up @MarcoAurelio 's generous offer of assistance.

We are also sharing a detailed list of wikis that are using actively the Extension on https://phabricator.wikimedia.org/T187576 Putting that table together has allowed to identify the handful of users that we need to interact with so that they can get started on using the Dashboard.

We were not aware of the guides you mentioned, thanks for sharing those links!

@VMasrour-WMF, any updates concerning the support you need from me? If the guides and the community support help you to deliver messages on every wiki, that's great! It also probably mean you don't need my support anymore. :)

Sorry about that! Yes, the community, especially MarcoAurelio, were super helpful. I think we can close this ticket for now.

VMasrour-WMF closed this task as Resolved.Mar 9 2018, 5:26 PM
Elitre awarded a token.Mar 9 2018, 6:19 PM